Package org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

# Class FallbackMethodInterfaceBeanA

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanB
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanA

All Implemented Interfaces:
  `FallbackMethodInterfaceBeanC`

@ApplicationScoped public class FallbackMethodInterfaceBeanA extends FallbackMethodInterfaceBeanB

## Constructor Summary

Constructors
Constructor
Description
`FallbackMethodInterfaceBeanA()`

## Method Summary

Modifier and Type
Method
Description
`String`
`fallback(int a, Long b)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanB

`method`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackMethodInterfaceBeanA

public FallbackMethodInterfaceBeanA()

## Method Details

### fallback

public String fallback(int a, Long b)